function clear_display()
	term.clear()
	term.setCursorPos(1,1)
end

function write_to_file(file, content)
	file = fs.open(file, "w")
	file.write(content)
	file.close()
end

function append_to_file(file, content)
	file = fs.open(file, "a")
	file.write(content)
	file.close()
end

function append_to_file_nl(file, content)
	file = fs.open(file, "a")
	file.writeLine(content)
	file.close()
end

function read_file_oneline(file)
	file = fs.open(file, "r")
	data = file.readLine()
	file.close()
	if (data == "true") then data = true elseif data == "false" then data = false end
	return data
end

function read_file_all(file)
	file = fs.open(file, "r")
	if (file == nil) then
		print("File does not exist.")
	else
		data = file.readAll()
		file.close()
	end
	return data
end

function split_string_to_array(input_str)
	table = {}
	i = 0
	for str in string.gmatch(input_str, "([^"..",".."]+)") do
		table[i] = str
		i = i + 1
	end
	return table
end

return
{
	clear_display=clear_display,
	write_to_file=write_to_file,
	append_to_file=append_to_file,
	append_to_file_nl=append_to_file_nl,
	read_file_oneline=read_file_oneline,
	read_file_all=read_file_all,
	split_string_to_array=split_string_to_array,
}